    #define PIN_LED     11
    #define PIN_POT     A0
     
    void setup()
    {
      // Пин, к которому подсоединяется светодиод определяем как выход
      pinMode(PIN_LED, OUTPUT);
     
      // Пин с переменным резистором является входом
      pinMode(PIN_POT, INPUT);
    }
     
    void loop(){
      // Определяем 2 переменные типа int
      int rotat, brightn;  
     
      // Считывание в переменную rotat напряжения с переменного резистора:
      // микроконтроллер будет выдавать числа от 0 до 1023
      // пропорциональны положению поворота вала
      rotat = analogRead(PIN_POT);
     
      // Преобразуем значение в яркость. Для этого делим rotat на 4, что с учетом округления даст нам число от 0 до 255. Именно это число мы подадим на шим-выход, с помощью которого можно управлять яркостью.
      brightn = rotat / 4;
     
      // Запись шим значения яркости на светодиод
      analogWrite(PIN_LED, brightn);
    }
